# class Gem::Resolver::Set

Resolver sets are used to look up specifications (and their dependencies) used in resolution. This set is abstract.

### Attributes

errors [RW]

Errors encountered when resolving gems

prerelease [RW]

When true, allows matching of requests to prerelease gems.

remote [RW]

`Set` to true to disable network access for this set

### Public Instance Methods

find_all (req)
Source

    # File lib/rubygems/resolver/set.rb, line 33
    def find_all(req)
      raise NotImplementedError
    end

The `find_all` method must be implemented. It returns all Resolver Specification objects matching the given DependencyRequest `req`.

prefetch (reqs)
Source

    # File lib/rubygems/resolver/set.rb, line 45
    def prefetch(reqs)
    end

The `prefetch` method may be overridden, but this is not necessary. This default implementation does nothing, which is suitable for sets where looking up a specification is cheap (such as installed gems).

When overridden, the `prefetch` method should look up specifications matching `reqs`.